package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.ParkingMerchantBinder;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface ParkingMerchantBinderService {
	ParkingMerchantBinder get(String id);

	boolean exist(String id);

	int insert(ParkingMerchantBinder model);

	int update(ParkingMerchantBinder model);

	int delete(String id);

	List<ParkingMerchantBinder> list();

	Page<ParkingMerchantBinder> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

	ParkingMerchantBinder findByOpenIdAndMerchantId(String openid, String merchantId);
}